Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.model
Class PropertyRefModel

    java.lang.Object
      com.bea.p13n.model.PropertyRefModel

All Implemented Interfaces
  Serializable

    public class PropertyRefModel

extends Object
implements Serializable

A object representing a property reference. This is not a full Model, since it's readonly and doesn't have children.

See Also
  Serialized Form

Nested Class Summary
`static class` | `PropertyRefModel.DataType` The possible data types.
`static class` | `PropertyRefModel.PropertySetType` The known property set types.

Constructor Summary
`PropertyRefModel(PropertyRefModel.DataType dataType, String name, String propSetName, PropertyRefModel.PropertySetType propSetType)` Constructor.

Method Summary
`boolean` | `equals(Object o)` Determine if the specified PropertyRefModel is equal.
`PropertyRefModel.DataType` | `getDataType()` Get the property data type.
`String` | `getName()` Get the property name.
`String` | `getPropertySetName()` Get the property set name.
`PropertyRefModel.PropertySetType` | `getPropertySetType()` Get the property set type.
`int` | `hashCode()` Override to implement an equality-aware hash function.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyRefModel

    public PropertyRefModel(PropertyRefModel.DataType dataType,
                            String name,
                            String propSetName,
                            PropertyRefModel.PropertySetType propSetType)

  Constructor.

Method Detail

### getName

    public String getName()

  Get the property name.

### getDataType

    public PropertyRefModel.DataType getDataType()

  Get the property data type.

### getPropertySetName

    public String getPropertySetName()

  Get the property set name.

### getPropertySetType

    public PropertyRefModel.PropertySetType getPropertySetType()

  Get the property set type.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Determine if the specified PropertyRefModel is equal.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Override to implement an equality-aware hash function.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.